@ECHO OFF
SET da=.\MTK_AllInOne_DA.bin
SET auth=.\auth_sv5.auth
SET scatter=.\MT6768_Android_scatter_blankflash.txt

if exist %auth% (
	"SP_download_tool.exe" -scatter %scatter% -dl_type firmware_upgrade_partial -da %da% -logpath cur -authfile %auth%
) else (
	"SP_download_tool.exe" -scatter %scatter% -dl_type firmware_upgrade_partial -da %da% -logpath cur
)

pause
